# class CertificateRequest::Ca

### Public Instance Methods

save(request) click to toggle source
Calls superclass method Puppet::Indirector::SslFile#save

    # File lib/puppet/indirector/certificate_request/ca.rb, line 9
    def save(request)
      if host = Puppet::SSL::Host.indirection.find(request.key)
        if Puppet[:allow_duplicate_certs]
          Puppet.notice "#{request.key} already has a #{host.state} certificate; new certificate will overwrite it"
        else
          raise "#{request.key} already has a #{host.state} certificate; ignoring certificate request"
        end
      end

      result = super
      Puppet.notice "#{request.key} has a waiting certificate request"
      result
    end